Quassel IRC - Bug #1373

Cannot Reset Userpass --ubuntu 14.04

08/09/2015 10:12 PM - Gallomimia

Status: Closed Start date: 08/09/2015
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Quassel Core Estimated time: 0.00 hour
Target version: Some future release

Version: 0.10.0 0S: Linux
Description

| really don't know why this happens. | am suspicious of permissions problems but have tried fixing all. | started with version 0.10 and

now have version 0.12.2

| don't know if this is a bug, problem with my libraries, or pebkac, just that it is an issue

| use ubuntu 14.04.3 LTS and have changed from official repos to the PPA provided by mister Michael Marley

History

#1 - 08/11/2015 06:22 PM - Gallomimia

- File quassel-pass added

#2 - 08/11/2015 09:39 PM - Gallomimia

| eventually found a work around for this problem.

The issue is that the interactive password changer was not given permissions to access my terminal. Running the command to change password as

myself gives not enough permissions to change the files needed due to quasselcore being installed as a service with seperate uid,gid etc.

Changing permissions to give my username access to update the quasselcore sglite database and conf files, (as well as access to the config dir)
allowed me to run the command as myself.

Now | change the permissions back.

#3 - 01/19/2018 07:38 AM - genius3000

- Status changed from New to Closed

Closed as a system permissions issue.
